/**
 * Classe de test du programme
 */
public class App {

    /**
     * Test de l'exécution du programme
     * 
     * @param args Arguments de la ligne de commande.
     * @throws Exception captation des exceptions remontées.
     */
    public static void main(String[] args) throws Exception {

        Machine machine = new Machine(10);

        machine.deposerCourrier(new Lettre(200, true, "M. IXE, 28 Chemin des Accacias, 73000 Chambéry", FormatLettre.C4));
        machine.deposerCourrier(new Lettre(20, false, "", FormatLettre.C5));
        machine.deposerCourrier(new Publicite(1500, true, "Mme YGREK 24 Rue Peratour, 84330 LE Barroux"));
        machine.deposerCourrier(new Publicite(1500, false, "Mme IXE, 28 Chemin des Accacias, 73000 Chambéry"));
        machine.deposerCourrier(new Publicite(2500, false, ""));
        machine.deposerCourrier(new Colis(5000, false, "M. John DOE, Grand rue , 73000 AIX LES BAINS", 5));
        machine.deposerCourrier(new Colis(29000, false, "SARL ZED, 1200 Route de L'altiport, 73550 MERIBEL", 55));

        machine.detailsCourriers();
    }
}
